# Uses of Class
org.eclipse.ltk.core.refactoring.RefactoringContext

Packages that use RefactoringContext
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.ltk.ui.refactoring.history
Application programming interface to display and preview refactoring history information.

## Uses of RefactoringContext in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return RefactoringContext
Modifier and Type
Method
Description
`protected RefactoringContext`
PerformRefactoringHistoryOperation.`createRefactoringContext(RefactoringDescriptor descriptor, RefactoringStatus status, IProgressMonitor monitor)`
Method which is called to create a refactoring context from a refactoring descriptor.
`RefactoringContext`
RefactoringDescriptor.`createRefactoringContext(RefactoringStatus status)`
Creates the a new refactoring context and the associated refactoring instance for this refactoring descriptor.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type RefactoringContext
Modifier
Constructor
Description
``
`PerformRefactoringOperation(RefactoringContext refactoringContext, int style)`
Create a new perform refactoring operation.

## Uses of RefactoringContext in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return RefactoringContext
Modifier and Type
Method
Description
`final RefactoringContext`
RefactoringWizard.`getRefactoringContext()`
Returns the refactoring context this wizard is associated with, or `null` if none.
Constructors in org.eclipse.ltk.ui.refactoring with parameters of type RefactoringContext
Modifier
Constructor
Description
``
`RefactoringWizard(RefactoringContext refactoringContext, int flags)`
Creates a new refactoring wizard for the given refactoring context.

## Uses of RefactoringContext in org.eclipse.ltk.ui.refactoring.history

Methods in org.eclipse.ltk.ui.refactoring.history that return RefactoringContext
Modifier and Type
Method
Description
`protected RefactoringContext`
RefactoringHistoryWizard.`createRefactoringContext(RefactoringDescriptor descriptor, RefactoringStatus status, IProgressMonitor monitor)`
Creates a refactoring context from the specified refactoring descriptor.